/* General styles */
body, html {
    margin: 0;
    padding: 0;
    font-family: 'Roboto', sans-serif; /* Fuente predeterminada para el body */
    overflow-x: hidden; /* Evita el desbordamiento horizontal */
    font-size: 1rem;
}

.wrapper{
    display: flex;
    flex-direction: column;
    min-height: 100vh;
}

main{
    flex: 1;
    display:flex;
    background-color: #f0f0f0;
}

#contacto{
    flex:1;
}

header {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 10px 20px;
    background-color: white;
    color: black;
    position: fixed;
    width: 100%;
    top: 0;
    z-index: 1000;
    box-sizing: border-box; /* Asegura que el padding no cause desbordamiento */
}

.logo img {
    height: 40px;
}

.menu-toggle {
    display: flex;
    justify-content: center;
    align-items: center;
    cursor: pointer;
    position: relative;
    z-index: 1100; /* Asegura que el botón esté por encima del menú */
}

.hamburger {
    display: flex;
    flex-direction: column;
    justify-content: space-around;
    width: 30px;
    height: 24px;
    transition: transform 0.4s;
}

.bar {
    width: 100%;
    height: 3px;
    background-color: black;
    transition: 0.4s;
}

.menu-toggle.active .bar:nth-child(1) {
    transform: rotate(45deg) translate(5px, 5px);
    background-color: white;
}

.menu-toggle.active .bar:nth-child(2) {
    opacity: 0;
}

.menu-toggle.active .bar:nth-child(3) {
    transform: rotate(-45deg) translate(5px, -5px);
    background-color: white;
}

nav {
    position: fixed;
    top: 0;
    right: -100%;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.9);
    display: flex;
    justify-content: center;
    align-items: center;
    transition: 0.5s;
}

nav.active {
    right: 0;
}

nav ul {
    list-style: none;
    text-align: center;
}

nav ul li {
    margin: 20px 0;
}

nav ul li a {
    color: white;
    text-decoration: none;
    font-size: 48px; /* Double the font size */
    font-family: 'Rammetto One', cursive; /* Update font */
}

.video-section {
    position: relative;
    height: 92vh;
    overflow: hidden;
}

.video-section video {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.video-text {
    position: absolute;
    bottom: 0;
    left: 5%;
    font-size: 150px; /* 3 veces más grande */
    color: white;
    font-weight: bold;
    font-family: 'Rammetto One', cursive;
    line-height: .69;
}

.intro {
    background-color: white;
    padding: 50px 20px;
    text-align: center;
}

.scroll-down {
    font-size: 24px;
    animation: bounce 2s infinite;
    padding: 2rem 0 5rem 0;
}

.scroll-down img {
    width: 50px;
    height: auto;
    fill: #919191;
}

@keyframes bounce {
    0%, 100% {
        transform: translateY(0);
    }
    50% {
        transform: translateY(-10px);
    }
}

.intro-content {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 20px;
    max-width: 800px;
    margin: 0 auto;
    margin-bottom: 10rem;
}

.intro-image {
    width: 50%;
    overflow: hidden;
    margin: 0;
    padding: 0;
}

.intro-image img {
    display: block;
}

.intro-content-hello {
    font-size: 35px;
    font-weight: bold;
    font-family: 'Rammetto One', cursive;
    line-height: 0;
}

.intro-text {
    max-width: 300px;
    text-align: left;
    width: 50%;
}

.intro-content-text {
    margin: 0;
}

.intro-content-text + .intro-content-text:last-of-type {
    margin-top: 1.5rem;
}

.highlight {
    color: #016d77;
    font-weight: bold;
}

.highlight-2{
    color: #008995;
    font-weight: bold;
}

.hand-icon {
    width: 20px;
    height: auto;
    vertical-align: middle;
}

.marquee {
    background-color: black;
    color: white;
    overflow: hidden;
    white-space: nowrap;
    position: relative;
    padding: 40px 0; /* Doble de ancho */
}

.marquee-content {
    display: inline-block;
    animation: marquee 30s linear infinite; /* Velocidad de desplazamiento a la mitad */
}

.marquee-content span {
    display: inline-block;
    font-weight: 200;
    font-size: 1.5rem;
    letter-spacing: 1px;
}

.marquee-content .triangle {
    margin-left: 3rem; /* Margen lateral entre la frase y el triángulo */
    margin-right: 3rem;;
}

.marquee-content strong {
    font-weight: bold;
}

@keyframes marquee {
    0% {
        transform: translateX(0%);
    }
    100% {
        transform: translateX(-50%);
    }
}


.principios-section {
    background: url('img/pandas-slider-bg-2.jpg') no-repeat center center;
    background-size: 300%;
    background-position: 63% 20%;
    width: 100%;
    padding: 16rem 0;
    text-align: center;
    position: relative;
    transition: background-position 1.5s ease, background-size 1.5s ease;
}

.principios-section.zoom {
    background-size: 300%;
    background-position: 63% 20%;
}

.principios-section.zoom-step-0 {
    background-size: 300%;
    background-position: 63% 20%;
}

.principios-section.zoom-step-1 {
    background-position: 39% 55%;
    background-size: 400%;
}

.principios-section.zoom-step-2 {
    background-position: 5% 15%;
    background-size: 320%;
}

.principios-section.zoom-step-3 {
    background-position: 0% 90%;
    background-size: 390%;
}

.slider {
    max-width: 300px;
    margin: 0 auto;
    position: relative;
}

.slide {
    display: none;
    opacity: 0;
    transition: opacity 0.5s ease;
}

.active-slide {
    display: block;
    opacity: 1;
}

.slide img {
    width: 50px;
    height: auto;
}

.slide h2 {
    font-family: 'Rammetto One', cursive;
    font-size: 24px;
    margin: 10px 0;
    color: white;
}

.slide p {
    font-family: 'Roboto', sans-serif;
    font-size: 16px;
    color: white;
}

.slider-dots {
    display: flex;
    justify-content: center;
    margin-top: 20px;
}

.dot {
    height: 10px;
    width: 10px;
    margin: 0 5px;
    background-color: #bbb;
    border-radius: 50%;
    display: inline-block;
    transition: background-color 0.6s ease;
    cursor: pointer;
}

.slider-select-names {
    position: absolute;
    left: 0;
    height: 100%;
    top: 0;
    margin-top: -.2rem;
    width: 42%;
    z-index: 999;
}

.slider-select-names .name {
    margin: 0 1rem;
    position: absolute;
    cursor: pointer;
    z-index: 9999;
}

.slider-select-names .name-1 {
    top: 0%;
    left: 41%;
    height: 40%;
    width: 21%;
}

.slider-select-names .name-2 {
    top: 5%;
    left: 25%;
    height: 65%;
    width: 21%;
}

.slider-select-names .name-3 {
    top: 12%;
    left: 55%;
    height: 55%;
    width: 21%;
}

.slider-select-names .name-4 {
    top: 0%;
    left: 70%;
    height: 65%;
    width: 21%;
}

.dot.active {
    background-color: #016d77;
}

.name.active {
    color: #016d77;
    font-weight: bold;
}


/* Servicios Section */
.servicios-section {
    background-color: black;
    color: white;
    padding: 50px 0;
    min-height: 600px; /* Ajusta según el contenido */
}

.container {
    max-width: 65%;
    margin: 0 auto;
    text-align: left;
    /* min-height: 800px; */
}

.servicios-section h2 {
    font-family: 'Rammetto One', cursive;
    font-size: 36px;
    line-height: 50px;
    margin-bottom: 30px;
}

.services-toggle {
    display: flex;
    justify-content: space-between;
    text-align: left;
}

.column {
    width: 48%;
}

.column + .column {
    margin-left: 4%; /* Añadir margen para separar las columnas */
}

.service-item {
    margin-bottom: 20px;
}

.service-title {
    cursor: pointer;
    padding: 15px 0;
    display: flex;
    align-items: center;
    transition: background-color 0.3s;
    font-size: 1.6rem;
    font-weight: 300;
    color: white;
}

.service-title:hover {
    background-color: #016d77;
}

.service-title.active {
    background-color: #016d77;
    color: white;
    font-weight: 700;
}

.service-title .icon {
    width: 15px;
    height: 15px;
    position: relative;
    margin-right: 1rem;
    display: flex;
    align-items: center;
    justify-content: center;
    padding-left: 15px; /* Añadir padding */
}

.service-title .icon::before,
.service-title .icon::after {
    content: '';
    position: absolute;
    width: 100%;
    height: 2px;
    background-color: white;
    transition: transform 0.3s;
}

.service-title .icon::before {
    transform: rotate(0deg);
}

.service-title .icon::after {
    transform: rotate(90deg);
}

.service-title.active .icon::before {
    transform: rotate(45deg);
    background-color: white;
}

.service-title.active .icon::after {
    transform: rotate(-45deg);
    background-color: white;
}

.service-content {
    display: none;
    padding: 1rem 0 3rem 0;
    transition: max-height 0.6s ease-out, opacity 0.6s ease-out;
    max-height: 0;
    opacity: 0;
}

.service-content p {
    margin: 0;
    line-height:1.5em;
}

.service-title.active + .service-content {
    display: block;
    max-height: 200px; /* Ajusta según el contenido */
    opacity: 1;
}

/* Nosotros Section */
.nosotros-section {
    background-color: white;
    display: flex;
    justify-content: center;
    align-items: center;
}

.nosotros-container {
    padding: 50px 0 0 0;
    width: 100%;
    align-items: center;
}

#nosotros .slider {
    position: relative;
    width: 100%;
    height: auto;
    max-width: 100%;
}


#nosotros .slide {
    display: none;
    width: 100%;
    height: auto;
    opacity: 0;
    position: absolute;
    top: 0;
    left: 0;
    z-index: 1;
}

#nosotros .slide.active-slide {
    display: flex;
    opacity: 1;
    position: relative;
    z-index: 2;
}

#nosotros .slide.active-slide .slide-left img {
    opacity: 1;
    position: relative;
    z-index: 2;
    cursor: pointer;
    margin-top: 40%;
    width: 100%;
}

#nosotros .slide-left {
    flex: 1;
    max-width: 40%;
    margin-top: -80px;
}

#nosotros .slide .slide-left img {
    width: 100%;
    top: -25%;
    height: auto;
    z-index: 1;
    opacity: 0;
}

#nosotros .slide-right {
    flex: 1;
    padding-left: 5%;
    padding-right: 5%;
}

#nosotros .slide-right h2 {
    font-family: 'Rammetto One', cursive;
    font-size: 2.5em;
    color: #016d77;
    margin-top: 3rem;
    line-height: 1.3;
}

#nosotros .slide-right h3 {
    font-family: 'Roboto', sans-serif;
    font-size: 1.5rem;
    color: #016d77; /* Color verde */
    margin-top: 10px;
}

#nosotros .slide-right p {
    font-family: 'Roboto', sans-serif;
    font-size: 1em;
    line-height:1.3em;
    font-weight: 300;
    color: black;
    margin-top: 20px;
}

#nosotros .slider-dots {
    display: flex;
    justify-content: center;
    margin-top: 20px;
    margin-left: -5%;
    padding-left: 5px;

}

#nosotros .dot {
    height: 10px;
    width: 10px;
    margin: 0 5px;
    background-color: #bbb;
    border-radius: 50%;
    display: inline-block;
    transition: background-color 0.6s ease;
    cursor: pointer;
}

#nosotros .dot.active {
    background-color: #016d77;
}

#nosotros h2.somos {
    display: none;
}

#nosotros .employee-info .employee-position {
    font-weight: bold;
    font-size: 1.2em;
}

/* Clientes Section */
.clientes-section {
    background-color: white;
    display: flex;
    justify-content: flex-end;
    align-items: center;
    margin-bottom: 10rem;
    position: relative;
}

.clientes-container {
    display: flex;
    justify-content: flex-end;
    width: 100%;
    margin-top: -100px;
    max-width: 80%;
}

.clientes-content {
    background-color: #016d77; /* Color verde */
    color: white;
    width: 100%; /* Full width */
    border-radius: 30px 0 0 30px;
    display: flex;
    padding: 8rem 12rem;
}

.clientes-left {
    flex: 1;
    padding-right: 5rem;
    max-width: 300px;
}

.clientes-left h2 {
    font-family: 'Rammetto One', cursive;
    font-size: 2rem;
    line-height: 1.2;
}

.clientes-left p {
    font-family: 'Roboto', sans-serif;
    font-size: 1rem;
    margin-top: 10px;
}

.clientes-right {
    flex: 1;
    display: flex;
    flex-direction: column;
    flex-wrap: nowrap;
    justify-content: space-around;
    align-items: center;
}

.clientes-logos {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 10px;
}

.clientes-logos img {
    max-width: 140px;
    margin: 20px;
}

/* Contacto Section */
.contacto-section {
    background-color: #016d77; /* Green background */
    color: white;
    padding: 50px 20px;
    text-align: center;
}

.contacto-section h2 {
    font-family: 'Rammetto One', cursive;
    font-size: 4rem; /* Very large font size */
    margin-bottom: 20px;
}

.contacto-container{
    max-width:800px;
    margin:auto;
}

.contacto-info {
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin: 0 auto;
    margin-bottom: 20px;
}

.contacto-item {
    display: flex;
    align-items: center;
    font-size: 1rem;
}

.contacto-item img {
    margin-right: 10px;
    max-width: 25px;
    margin-bottom: auto;
}

.contacto-map {
    margin-bottom: 40px;
}

.contacto-map iframe {
    width: 800px;
    height: 450px;
}

.contacto-social {
    margin-top: 20px;
}

.contacto-social .social-menu {
    display: flex;
    justify-content: center;
    gap: 10px;
}

.contacto-item a {
    color: white; /* Make the email link white */
    text-decoration: none; /* Remove underline */
}

/* Footer */
.footer {
    background-color: black;
    color: white;
    padding: 20px 0;

}

.footer-container {
    display: flex;
    justify-content: space-between;
    align-items: center;
    max-width: 1200px;
    margin: 0 auto;
    padding: 0 20px;
}

.footer-left {
    flex: 1;
}

.footer-left p {
    margin: 0;
}

.footer-center {
    flex: 4;
    text-align: center;
}

.footer-menu {
    list-style: none;
    padding: 0;
    margin: 0;
    display: flex;
    justify-content: center;
    gap: 20px;
}

.footer-menu li {
    display: inline;
}

.footer-menu a {
    color: white;
    text-decoration: none;
}

.footer-right {
    flex: 1;
    text-align: right;
}

.social-menu {
    list-style: none;
    padding: 0;
    margin: 0;
    display: flex;
    justify-content: center;
    gap: 10px;
}

.social-menu-contacto {
    list-style: none;
    padding: 0;
    margin: 0;
    display: flex;
    justify-content: center;
    gap: 10px;
}

.social-menu-contacto li {
    display: inline;
}

.social-menu-contacto a img {
    width: 20px;
    height: 20px;
}

.social-menu li {
    display: inline;
}

.social-menu a img {
    width: 20px;
    height: 20px;
}

/* Responsive styles */
@media (max-width: 768px) {

    .scroll-down {
        padding:0;
        margin: 0 0 2rem 0;
    }

    .scroll-down img{
    }

    .container {
        max-width: 90%;
    }

    .services-toggle {
        flex-direction: column;
    }

    .column {
        width: 100%;
        margin-left: 0;
    }

    .column + .column {
        margin-left: 0;
    }

    .service-title {
        font-size: 1.4rem;
    }

    .servicios-section h2 {
        font-size: 28px;
    }

    .intro-content {
        flex-direction: column;
        text-align: center;
        width: 100%; /* Full width */
        margin-bottom: 2rem;
    }

    .intro-image img {
        max-width: 100%;
    }

    .intro-text {
        max-width: 100%;
        width: 100%;
        text-align: center;
    }

    .video-text {
        font-size: 70px; /* Ajustar tamaño para pantallas más pequeñas */
    }

    .nosotros-container {
        flex-direction: column;
        text-align: center;
    }


    .nosotros-right {
        padding-left: 0;
        margin-top: 20px;
    }

    .clientes-content {
        width: 100%; /* Full width */
        flex-direction: column;
        align-items: center;
        padding: 4rem 2rem; /* Adjust padding for mobile */
    }

    .clientes-left {
        padding-right: 0;
        text-align: center;
        max-width: 100%; /* Full width */
    }

    .clientes-logos {
        grid-template-columns: repeat(1, 1fr); /* Single column for mobile */
    }

    .clientes-logos img {
        max-width:45%;
        margin:1.75rem auto;
    }

    #nosotros h2.somos {
        display: block;
        font-family: 'Rammetto One', cursive;
        color: white;
        font-size: 4rem;
        position: absolute;
        top: -4rem;
        padding: 0;
        margin: 0;
        z-index: 100;
    }

    #nosotros .slide-left {
        flex: none;
        display: block;
        max-width: 100%;
        height: 50vh;
        margin-top: 0;
        overflow: hidden;
        justify-content: center;
        align-items: center;
    }

    #nosotros .slide-right {
        max-width: 100%;
        flex: none;
        display: block;
    }

 

    /* Add more height to "nosotros" section on mobile */
    #nosotros .slide {
        min-height: 400px; /* Adjust height as needed */
    }

    #nosotros .slide.active-slide {
        display: block;
    }

    #nosotros .slide.active-slide .slide-left img {
        display: flex;
        opacity: 1;
        position: relative;
        z-index: 2;
        cursor: pointer;
        width: 150%;
        height: auto;
        margin-top: 0;
        left: -48%;
    }

    /* Center menu items on mobile */
    nav ul {
        padding: 0;
        margin: 0;
        display: flex;
        flex-direction: column;
        align-items: center;
    }

    nav ul li {
        width: 100%;
        text-align: center;
    }

    /* Add padding to "principios" section on mobile */
    .principios-section {
        padding: 3rem 0;

    }

    .principios-section {
        background-size: 400%;
    }

    .nosotros-container {
        padding: 0;
        margin-bottom: 2rem;
    }

    /* Update "clientes" section for mobile */
    .clientes-section {
        width: 100%;
        margin-top: 0;
    }

    .clientes-container {
        max-width: 100%;
        margin-top: 0;
    }

    .slider-select-names {
        width: 100%;
        height: 35vh;
    }



    .slider-select-names .name-1 {
        top: 10%;
        left: 25%;
        height: 80%;
        width: 21%;
    }

    .slider-select-names .name-2 {
        top: 45%;
        left: 2%;
        height: 105%;
        width: 21%;
    }

    .slider-select-names .name-3 {
        top: 45%;
        left: 47%;
        height: 55%;
        width: 21%;
        min-height: 400px;
    }

    .slider-select-names .name-4 {
        top: 10%;
        left: 75%;
        height: 100%;
        width: 21%;
        min-height: 400px;
    }

    .contacto-section h2{
        font-size: 3rem;
    }

    .contacto-info {
        flex-direction: column;
        text-align: left;
        align-items: flex-start;
    }

    .contacto-item {
        margin-bottom: 20px;
    }

    .contacto-social{
        align-self: center;
    }

   

    .contacto-map iframe {
        width: 100%; /* Full width for mobile */
        height: 300px; /* Adjust height for mobile */
    }

    .footer-container {
        flex-direction: column;
        text-align: center;
    }

    .footer-left, .footer-center, .footer-right {
        flex: none;
        margin-bottom: 10px;
    }

    .footer-left {
        margin-bottom: 2rem;
    }

    .footer-right {
        text-align: center;
    }

    .footer-center {
        margin-bottom: 2rem;
    }

    .footer-menu {
        flex-direction: column;
    }

    .leaves {
        width: 12rem !important;
    }

    #hoja-3 {
        width: 7rem !important;
        top: -1% !important;
    }

    #hoja-4 {
        width: 12rem !important;
        top: 95% !important;
    }

    #hoja-slider-1 {
        width: 12rem;
        right: -5%;
        bottom: -13%;
    }

    #hoja-slider-2 {
        width: 9rem;
        left: -8%;
        top: 0;
    }

    #hoja-slider-3 {
        width: 12rem;
        right: -6%;
        top: -5%;
    }

    #hoja-slider-4 {
        width: 12rem;
        left: -7%;
        bottom: -12%;
    }

    #hoja-slider-5 {
        width: 12rem;
        right: -5%;
        bottom: -13%;
    }

    #hoja-slider-6 {
        width: 12rem;
        left: -8%;
        top: 0;
    }

    #hoja-slider-7 {
        width: 9rem;
        right: -6%;
        top: -5%;
    }

    #hoja-slider-8 {
        width: 12rem;
        left: -7%;
        bottom: -12%;
    }
}

@media (max-width: 1024px) {
    .leaves {
        width: 12rem !important;
    }

    .clientes-content {
        padding: 8rem 4rem;
    }
}

@media (max-width: 768px){
    .leaves {
        width: 7rem !important;
    }
    }


@media (max-width: 404px) {

    .principios-section {
        background-size: 400% !important;
    }


}



@media (min-width: 1024px) {
    #nosotros .slide-right {
        font-size: 1.1rem;
        max-width: 40%;
        padding-top: 0;
    }
}

@media (min-width: 1180px) {



    #nosotros .slide-right {
        font-size: 1.1rem;
        max-width: 40%;
        padding-top: 7rem;
    }
}

@media (min-width: 1600px) {

    #nosotros .slide-right {
        font-size: 1.25rem;
        max-width: 40%;
        padding-top: 7rem;
    }

    #nosotros .slide.active-slide .slide-left img{
        max-width: 650px;
        height:auto;
        margin-top: 25%;
    }
}

@media (max-width: 420px){
    #nosotros .slide-left {
        height: 60vh;
    }

    #nosotros .slide.active-slide .slide-left img {
        margin-top: -5%;
    }
}

@media (min-width: 420px) and (max-width: 540px){
    #nosotros .slide-left {
        height: 70vh;
    }

    #nosotros .slide.active-slide .slide-left img {
        margin-top: -18%;
    }
}

@media (min-width: 540px) and (max-width: 768px){
    #nosotros .slide-left {
        height: 60vh;
    }

    #nosotros .slide.active-slide .slide-left img {
        margin-top: -18%;
    }
}

@media (min-width: 2200px){
    #nosotros .slide.active-slide .slide-left img{
        max-width: 650px;
        height:auto;
        margin-top: 20%;
    }
}

/* Remove floating images styles */
.floating-image {
    display: none;
}

.legal-section, .cookies-section {
    padding: 8rem 1rem 4rem;
    line-height: 1.5;
}

.legal-section h1, .cookies-section h1 {
    font-family: 'Rammetto One', cursive;
    font-size: 3rem;
}

a {
    color: #016d77; /* Green color */
    text-decoration: none; /* Remove underline */
}

/* Cookies Section */
.cookies-section {
    padding-top: 8rem;
}

/* Floating elements */
#hoja-3 {
    width: 10rem;
    right: -6%;
    top: -30%;
}

#hoja-4 {
    width: 20rem;
    left: -5%;
    top: 90%;
}

.floating-element {
    position: absolute;
    z-index: 999;
    font-size: 50px;
    animation: float 4s ease-in-out infinite, rotate 8s infinite ease-in-out;
}

/* Hojas slider pandas */



.leaves {
    position: absolute;
}

.leaves-animation.in {
    opacity: 1;
    animation: inFromRight 1.5s ease-in-out;
}

.leaves-animation.out {
    opacity: 0;
    animation: outToLeft 1.5s ease-in-out;
}

#hoja-slider-1 {
    width: 25rem;
    right: -5%;
    bottom: -13%;
}

#hoja-slider-2 {
    width: 25rem;
    left: -8%;
    top: 0;
}

#hoja-slider-3 {
    width: 21rem;
    right: -6%;
    top: -5%;
}

#hoja-slider-4 {
    width: 25rem;
    left: -7%;
    bottom: -12%;
}

#hoja-slider-5 {
    width: 25rem;
    right: -5%;
    bottom: -13%;
}

#hoja-slider-6 {
    width: 25rem;
    left: -8%;
    top: 0;
}

#hoja-slider-7 {
    width: 21rem;
    right: -6%;
    top: -5%;
}

#hoja-slider-8 {
    width: 25rem;
    left: -7%;
    bottom: -12%;
}


/* Movimiento hacia arriba y abajo */
@keyframes float {
    0%, 100% {
        transform: translate(-1rem, -1rem);
    }
    50% {
        transform: translate(1rem, 1rem);
    }
}

@keyframes rotate {
    0%, 100% {
        transform: rotate(0deg);
    }
    50% {
        transform: rotate(15deg);
    }
}

/* Transitions leaves */
@keyframes outToLeft {
    0% {
        transform: translateX(0);
        opacity: 1;
    }
    100% {
        transform: translateX(-20rem);
        opacity: 0;
    }
}

@keyframes inFromRight {
    0% {
        transform: translateX(20rem);
        opacity: 0;
    }
    100% {
        transform: translateX(0);
        opacity: 1;
    }
}


/* Loader contenedor */
#loader {
    position: absolute;
    z-index: 9999;
    width: 100%;
    height: 100%;
    background: white;
    animation: hideLoader 1.5s ease-in-out forwards;
    display: flex;
    align-items: center;
    justify-content: center;
}

#loader .logo {
    height: 8rem;
    animation: pulseZoom .6s ease-in-out;
}

/* Animación para ocultar */
@keyframes hideLoader {
    0% {
        opacity: 1;
    }
    75% {
        opacity: 1;
    }
    100% {
        opacity: 0;
        visibility: hidden;
    }
}

@keyframes pulseZoom {
    0% {
        transform: scale(0.9);
        opacity: 0.7;
    }
    50% {
        opacity: 1;
    }
    60% {
        transform: scale(1.1);
        opacity: 1;
    }
    100% {
        transform: scale(1);
        opacity: 1;
    }
}


.d-none {
    display: none;
}
